<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <button onclick="vm.openForm()">Masukan Nilai</button>
        <h3>{{ 'Nilai a : ' + a }}</h3>
		<h3>{{ 'Nilai rata rata : ' + ratarata }}</h3>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
<script>
    var vm = new Vue({
        el:`#app`,
        data: {
            a: 0,
			ratarata : 0
        },
        methods : {
            openForm : function(){
			var klik = 0
			while (this.a < 5){
			this.a=this.a+parseInt(prompt('Masukan Nilai a : '))
			klik++
			}
			this.ratarata =  this.a / klik
                this.a = prompt("Masukan Nilai a")
            }
        }
    })

</script>
</body>
</html>